Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Class RepeatWeeklyAdjust

    java.lang.Object
      |
      +--com.compoze.collab.domino.RepeatAdjust
            |
            +--com.compoze.collab.domino.RepeatWeeklyAdjust

All Implemented Interfaces:
  java.io.Serializable

public class RepeatWeeklyAdjust
extends RepeatAdjust
implements java.io.Serializable

This class stores the values for a 'repeat weekly' adjust. You can use this class to specify which days of the week to repeat on.

See Also:
  Serialized Form

Constructor Summary
`RepeatWeeklyAdjust()` Constructor.
`RepeatWeeklyAdjust(java.lang.String[] values)` Constructor.

Method Summary
`boolean` | `containsDayOfWeek(int iDayOfWeek)` Checks to see if this adjust contains the day of week.

Methods inherited from class com.compoze.collab.domino.RepeatAdjust
`getValues, getValuesArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatWeeklyAdjust

    public RepeatWeeklyAdjust()

  Constructor.

### RepeatWeeklyAdjust

    public RepeatWeeklyAdjust(java.lang.String[] values)

  Constructor.
  Parameters:
    `values` - the adjust values

Method Detail

### containsDayOfWeek

    public boolean containsDayOfWeek(int iDayOfWeek)

  Checks to see if this adjust contains the day of week.
  Parameters:
    `iDayOfWeek` - the day of the week (from `RepeatPattern` day constants)
  Returns:
    `true` if the adjust contains the specified day of week; `false` otherwise
  See Also:
    `RepeatPattern.SUNDAY`, `RepeatPattern.MONDAY`, `RepeatPattern.TUESDAY`, `RepeatPattern.WEDNESDAY`, `RepeatPattern.THURSDAY`, `RepeatPattern.FRIDAY`, `RepeatPattern.SATURDAY`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.